## opensysusers 0.5.1

=== Makefile ===
VERSION = 0.5
SYSCONFDIR = /etc
PREFIX ?= /usr/local
BINDIR = $(PREFIX)/bin
LIBDIR = $(PREFIX)/lib
MANDIR = $(PREFIX)/share/man
DOCDIR = $(PREFIX)/share/doc/opensysusers
TESTDIR = /run/sysusers.d
BINMODE = 0755
MODE = 0644
INSTALL = install
MAKE = make

HAVESYSTEMD = yes
HAVEOPENRC = no
HAVEMAN = yes

LIBS = lib/common.sh
INITD = openrc/opensysusers.initd

BASIC = sysusers.d/basic.conf

ifeq ($(HAVESYSTEMD),yes)
	BINPROGS = bin/sysusers
	BINNAME = sysusers
else
	BINPROGS = bin/opensysusers
	BINNAME = opensysusers
endif

TESTFILES = $(wildcard test/*.conf)

all: $(BINPROGS)
ifeq ($(HAVEOPENRC),yes)
all: $(INITD)
endif
ifeq ($(HAVEMAN),yes)
all:
	+$(MAKE) INSTALL=$(INSTALL) DOCMODE=$(MODE) MANDIR=$(MANDIR) DOCDIR=$(DOCDIR) DESTDIR=$(DESTDIR) -C man
endif


EDIT = sed -e "s|@LIBDIR[@]|$(LIBDIR)|" \
	-e "s|@BINNAME[@]|$(BINNAME)|g" \
	-e "s|@VERSION[@]|$(VERSION)|"

RM = rm -f
M4 = m4 -P
CHMODAW = chmod a-w
CHMODX = chmod +x

%: %.in Makefile
	@echo "GEN $@"
	@$(RM) "$@"
	@$(M4) $@.in | $(EDIT) >$@
	@$(CHMODAW) "$@"
	@$(CHMODX) "$@"

clean-bin:
	$(RM) $(BINPROGS)

clean-openrc:
	$(RM) $(INITD)

clean-man:
	+$(MAKE) INSTALL=$(INSTALL) DOCMODE=$(MODE) MANDIR=$(MANDIR) DOCDIR=$(DOCDIR) DESTDIR=$(DESTDIR) -C man clean

clean: clean-bin
ifeq ($(HAVEOPENRC),yes)
clean: clean-openrc
endif
ifeq ($(HAVEMAN),yes)
clean: clean-man
endif

install-shared:
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)/opensysusers
	$(INSTALL) -m $(BINMODE) $(LIBS) $(DESTDIR)$(LIBDIR)/opensysusers
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)/sysusers.d
	$(INSTALL) -m $(BINMODE) $(BASIC) $(DESTDIR)$(LIBDIR)/sysusers.d

install-default-bin:
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -m $(BINMODE) $(BINPROGS) $(DESTDIR)$(BINDIR)

install-custom-bin:
	$(INSTALL) -m $(BINMODE) $(BINPROGS) $(DESTDIR)$(BINDIR)/$(BINNAME)

install-openrc:
	$(INSTALL) -d $(DESTDIR)$(SYSCONFDIR)/init.d
	$(INSTALL) -m $(BINMODE) $(INITD) $(DESTDIR)$(SYSCONFDIR)/init.d/opensysusers

install-man:
	+$(MAKE) INSTALL=$(INSTALL) DOCMODE=$(MODE) MANDIR=$(MANDIR) DOCDIR=$(DOCDIR) DESTDIR=$(DESTDIR) -C man install

install-tests:
	$(INSTALL) -d $(DESTDIR)$(TESTDIR)
	$(INSTALL) -m $(MODE) $(TESTFILES) $(DESTDIR)$(TESTDIR)

uninstall-shared:
	for lib in $(notdir ${LIBS}); do $(RM) $(DESTDIR)$(LIBDIR)/opensysusers/$$lib; done
	$(RM)r --one-file-system $(DESTDIR)$(LIBDIR)/opensysusers
	for f in $(notdir ${LIBS}); do $(RM) $(DESTDIR)$(LIBDIR)/sysusers.d/$$f; done

uninstall-default-bin:
	$(RM) $(DESTDIR)$(BINDIR)/$(notdir $(BINPROGS))

uninstall-custom-bin:
	$(RM) $(DESTDIR)$(BINDIR)/$(BINNAME)

uninstall-openrc:
	$(RM) $(DESTDIR)$(SYSCONFDIR)/init.d/opensysusers

uninstall-man:
	+$(MAKE) INSTALL=$(INSTALL) DOCMODE=$(MODE) MANDIR=$(MANDIR) DOCDIR=$(DOCDIR) DESTDIR=$(DESTDIR) -C man uninstall

ifeq ($(HAVESYSTEMD),yes)
install: install-shared
uninstall: uninstall-shared
ifeq ($(HAVEMAN),yes)
install: install-man
uninstall: uninstall-man
endif
ifeq ($(BINNAME),sysusers)
install: install-default-bin
uninstall: uninstall-default-bin
else
install: install-custom-bin
uninstall: uninstall-custom-bin
endif

ifeq ($(HAVEOPENRC),yes)
install: install-openrc
uninstall: uninstall-openrc
endif

else
install: install-shared install-default-bin
uninstall: uninstall-shared uninstall-default-bin
ifeq ($(HAVEMAN),yes)
install: install-man
uninstall: uninstall-man
endif
ifeq ($(HAVEOPENRC),yes)
install: install-openrc
uninstall: uninstall-openrc
endif

endif

.PHONY: all install install-custom-bin install-default-bin install-man install-openrc install-shared install-tests uninstall uninstall-custom-bin uninstall-default-bin uninstall-man uninstall-openrc uninstall-shared clean clean-bin clean-man clean-openrc

=== man/Makefile ===
manfiles5 = sysusers.d.5
manfiles8 = systemd-sysusers.8 systemd-sysusers.service.8
docfiles = sysusers.d.html systemd-sysusers.html

xsltargs = --nonet \
	--xinclude \
	--maxdepth 9000 \
	--stringparam man.output.quietly 1 \
	--stringparam funcsysnopsis.style ansi \
	--stringparam man.authors.section.enabled 0 \
	--stringparam man.copyright.section.enabled 0 \
	--stringparam systemd.version 238.51

all:
	xsltproc $(xsltargs) custom-man.xsl systemd-sysusers.xml
	xsltproc $(xsltargs) custom-html.xsl systemd-sysusers.xml > systemd-sysusers.html
	xsltproc $(xsltargs) custom-man.xsl sysusers.d.xml
	xsltproc $(xsltargs) custom-html.xsl sysusers.d.xml > sysusers.d.html

clean:
	rm $(manfiles5)
	rm $(manfiles8)
	rm $(docfiles)

install:
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man{5,8}
	$(INSTALL) -m $(DOCMODE) $(manfiles5) $(DESTDIR)$(MANDIR)/man5
	$(INSTALL) -m $(DOCMODE) $(manfiles8) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -d $(DESTDIR)$(DOCDIR)
	$(INSTALL) -m $(DOCMODE) $(docfiles) $(DESTDIR)$(DOCDIR)

uninstall:
	for man in ${manfiles5}; do rm -f $(DESTDIR)$(MANDIR)/man5/$$man; done
	for man in ${manfiles8}; do rm -f $(DESTDIR)$(MANDIR)/man8/$$man; done
	for doc in ${docfiles}; do rm -f $(DESTDIR)$(DOCDIR)/$$doc; done
	rm -rf --one-file-system $(DESTDIR)$(DOCDIR)

.PHONY: all install clean

=== debian/changelog ===
opensysusers (0.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #947846)

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Dec 2019 17:30:29 +0100

=== debian/control ===
Source: opensysusers
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 docbook-xml,
 docbook-xsl,
 openstack-pkg-tools (>= 99~),
 xsltproc,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/opensysusers
Vcs-Git: https://salsa.debian.org/debian/opensysusers.git
Homepage: https://github.com/artix-linux/opensysusers

Package: opensysusers
Architecture: all
Depends:
 ${misc:Depends},
Description: processes sysusers.d directory to create system users
 Opensysusers uses the files from sysusers.d directory to create system users
 and groups and to add users to groups, at package installation or boot time.
 This tool may be used to allocate system users and groups only, it is not
 useful for creating non-system (i.e. regular, "human") users and groups, as it
 accesses /etc/passwd and /etc/group directly, bypassing any more complex user
 databases, for example any database involving NIS or LDAP.
 .
 Opensysusers is an alternative implementation of systemd-sysusers that may
 work on systems with or without systemd installed.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/artix-linux/opensysusers.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	MANDIR=/usr/share/man DOCDIR=/usr/share/doc/opensysusers $(MAKE)

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/opensysusers/usr/share/man/man8
	PREFIX=/usr MANDIR=/usr/share/man DOCDIR=/usr/share/doc/opensysusers DESTDIR=$(CURDIR)/debian/opensysusers $(MAKE) install

	# These are too specific to artix-linux, and conflicting with
	# stuff from systemd, so let's remove them
	rm -f $(CURDIR)/debian/opensysusers/usr/lib/sysusers.d/basic.conf

	# The man pages are conflicting with systemd, so let's remove them too
	rm -rf $(CURDIR)/debian/opensysusers/usr/share/man

	# We move this away, so we can install the alternatives
	mv $(CURDIR)/debian/opensysusers/usr/bin/sysusers $(CURDIR)/debian/opensysusers/usr/bin/opensysusers-sysusers

## opensysusers 0.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-VERSION = 0.5
 SYSCONFDIR = /etc
 PREFIX ?= /usr/local
 BINDIR = $(PREFIX)/bin
@@ -15,22 +14,19 @@
 HAVEOPENRC = no
 HAVEMAN = yes
 
-LIBS = lib/common.sh
-INITD = openrc/opensysusers.initd
+INITD = opensysusers.initd
 
-BASIC = sysusers.d/basic.conf
+BASIC = basic.conf
 
 ifeq ($(HAVESYSTEMD),yes)
-	BINPROGS = bin/sysusers
 	BINNAME = sysusers
 else
-	BINPROGS = bin/opensysusers
 	BINNAME = opensysusers
 endif
 
 TESTFILES = $(wildcard test/*.conf)
 
-all: $(BINPROGS)
+all: sysusers
 ifeq ($(HAVEOPENRC),yes)
 all: $(INITD)
 endif
@@ -39,25 +35,19 @@
 	+$(MAKE) INSTALL=$(INSTALL) DOCMODE=$(MODE) MANDIR=$(MANDIR) DOCDIR=$(DOCDIR) DESTDIR=$(DESTDIR) -C man
 endif
 
-
-EDIT = sed -e "s|@LIBDIR[@]|$(LIBDIR)|" \
-	-e "s|@BINNAME[@]|$(BINNAME)|g" \
-	-e "s|@VERSION[@]|$(VERSION)|"
+EDIT = sed "s|@BINNAME[@]|$(BINNAME)|"
 
 RM = rm -f
-M4 = m4 -P
-CHMODAW = chmod a-w
-CHMODX = chmod +x
+CHMOD = chmod $(BINMODE)
 
-%: %.in Makefile
+opensysusers: sysusers
+	$(INSTALL) $< $@
+
+$(INITD): $(INITD).in
 	@echo "GEN $@"
 	@$(RM) "$@"
-	@$(M4) $@.in | $(EDIT) >$@
-	@$(CHMODAW) "$@"
-	@$(CHMODX) "$@"
-
-clean-bin:
-	$(RM) $(BINPROGS)
+	@$(EDIT) $< >"$@"
+	@$(CHMOD) "$@"
 
 clean-openrc:
 	$(RM) $(INITD)
@@ -74,36 +64,28 @@
 endif
 
 install-shared:
-	$(INSTALL) -d $(DESTDIR)$(LIBDIR)/opensysusers
-	$(INSTALL) -m $(BINMODE) $(LIBS) $(DESTDIR)$(LIBDIR)/opensysusers
-	$(INSTALL) -d $(DESTDIR)$(LIBDIR)/sysusers.d
-	$(INSTALL) -m $(BINMODE) $(BASIC) $(DESTDIR)$(LIBDIR)/sysusers.d
+	$(INSTALL) -Dm $(MODE) $(BASIC) $(DESTDIR)$(LIBDIR)/sysusers.d/$(BASIC)
 
-install-default-bin:
-	$(INSTALL) -d $(DESTDIR)$(BINDIR)
-	$(INSTALL) -m $(BINMODE) $(BINPROGS) $(DESTDIR)$(BINDIR)
+install-default-bin: sysusers
+	$(INSTALL) -Dm $(BINMODE) sysusers $(DESTDIR)$(BINDIR)/$(BINNAME)
 
-install-custom-bin:
-	$(INSTALL) -m $(BINMODE) $(BINPROGS) $(DESTDIR)$(BINDIR)/$(BINNAME)
+install-custom-bin: sysusers
+	$(INSTALL) -Dm $(BINMODE) sysusers $(DESTDIR)$(BINDIR)/$(BINNAME)
 
-install-openrc:
-	$(INSTALL) -d $(DESTDIR)$(SYSCONFDIR)/init.d
-	$(INSTALL) -m $(BINMODE) $(INITD) $(DESTDIR)$(SYSCONFDIR)/init.d/opensysusers
+install-openrc: $(INITD)
+	$(INSTALL) -Dm $(BINMODE) $(INITD) $(DESTDIR)$(SYSCONFDIR)/init.d/opensysusers
 
 install-man:
 	+$(MAKE) INSTALL=$(INSTALL) DOCMODE=$(MODE) MANDIR=$(MANDIR) DOCDIR=$(DOCDIR) DESTDIR=$(DESTDIR) -C man install
 
 install-tests:
-	$(INSTALL) -d $(DESTDIR)$(TESTDIR)
-	$(INSTALL) -m $(MODE) $(TESTFILES) $(DESTDIR)$(TESTDIR)
+	$(INSTALL) -Dm $(MODE) $(TESTFILES) $(DESTDIR)$(TESTDIR)/
 
 uninstall-shared:
-	for lib in $(notdir ${LIBS}); do $(RM) $(DESTDIR)$(LIBDIR)/opensysusers/$$lib; done
-	$(RM)r --one-file-system $(DESTDIR)$(LIBDIR)/opensysusers
-	for f in $(notdir ${LIBS}); do $(RM) $(DESTDIR)$(LIBDIR)/sysusers.d/$$f; done
+	$(RM) $(DESTDIR)$(LIBDIR)/sysusers.d/$(BASIC)
 
 uninstall-default-bin:
-	$(RM) $(DESTDIR)$(BINDIR)/$(notdir $(BINPROGS))
+	$(RM) $(DESTDIR)$(BINDIR)/$(BINNAME)
 
 uninstall-custom-bin:
 	$(RM) $(DESTDIR)$(BINDIR)/$(BINNAME)

=== man/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	rm $(docfiles)
 
 install:
-	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man{5,8}
+	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man5 $(DESTDIR)$(MANDIR)/man8
 	$(INSTALL) -m $(DOCMODE) $(manfiles5) $(DESTDIR)$(MANDIR)/man5
 	$(INSTALL) -m $(DOCMODE) $(manfiles8) $(DESTDIR)$(MANDIR)/man8
 	$(INSTALL) -d $(DESTDIR)$(DOCDIR)

=== debian/changelog ===
opensysusers (0.6-3) unstable; urgency=medium

  * QA upload.
  * Update copyright years
  * Bump Standards-Version to 4.6.0, no changes
     required
  * Change section to admin
  * Update gitignore files
  * quilt patches:
    - Stop using eval (Closes: #992058, CVE-2021-40084)
    - Create group with m action (Closes: #986015)
    - Fix wrong nologin path

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 19 Sep 2021 02:49:09 +0200

opensysusers (0.6-2) unstable; urgency=medium

  * QA upload.
  * Rename and ship opensysusers manpages:
     changing name is necessary to avoid a conflict
     with systemd manpages

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 26 Jan 2021 23:03:53 +0100

opensysusers (0.6-1) unstable; urgency=medium

  * QA upload.
  * Add a sysvinit script
  * Add a lintian override for missing systemd unit
  * New upstream version 0.6
  * Set maintainer to QA Group (see #975378)
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.1
  * d/clean: remove autogenereted manpages
  * Provide systemd-sysusers
  * Set Rules-requires-root to no
  * Enable the standard Salsa CI pipeline

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 22 Dec 2020 17:30:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: opensysusers
-Section: net
+Section: admin
 Priority: optional
-Maintainer: Thomas Goirand <zigo@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  openstack-pkg-tools (>= 99~),
  xsltproc,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/opensysusers
 Vcs-Git: https://salsa.debian.org/debian/opensysusers.git
 Homepage: https://github.com/artix-linux/opensysusers
 
 Package: opensysusers
+Provides: systemd-sysusers
 Architecture: all
 Depends:
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,16 @@
 	# stuff from systemd, so let's remove them
 	rm -f $(CURDIR)/debian/opensysusers/usr/lib/sysusers.d/basic.conf
 
-	# The man pages are conflicting with systemd, so let's remove them too
-	rm -rf $(CURDIR)/debian/opensysusers/usr/share/man
+	# Rename the manpages to avoid a conflict with systemd
+	mv $(CURDIR)/debian/opensysusers/usr/share/man/man5/sysusers.d.5 \
+	  $(CURDIR)/debian/opensysusers/usr/share/man/man5/opensysusers.d.5
+	mv $(CURDIR)/debian/opensysusers/usr/share/man/man8/systemd-sysusers.8 \
+	  $(CURDIR)/debian/opensysusers/usr/share/man/man8/opensysusers-sysusers.8
+	# no service file in opensysuser, so removing the link
+	rm -f $(CURDIR)/debian/opensysusers/usr/share/man/man8/systemd-sysusers.service.8
 
 	# We move this away, so we can install the alternatives
 	mv $(CURDIR)/debian/opensysusers/usr/bin/sysusers $(CURDIR)/debian/opensysusers/usr/bin/opensysusers-sysusers
+	
+override_dh_installinit:
+	dh_installinit --no-start

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/artix-linux/opensysusers/tags .*/(\d[\d\.]+)\.tar\.gz

## opensysusers 0.7

=== debian/changelog ===
opensysusers (0.7-1) unstable; urgency=medium

  * New upstream version 0.7
  * Set homepage to cromerc/opensysusers on GitHub
  * d/control: set myself as the maintainer (Closes: #975378)
  * d/lintian-overrides: fix overrides
  * d/patches: drop upstreamed patches
  * d/patches: don't install HTML docs
  * d/u/metadata: add upstream metadata

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 17 Aug 2022 19:19:43 +0200

## opensysusers 0.7.3

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 HAVESYSTEMD = yes
 HAVEOPENRC = no
 HAVEMAN = yes
+HAVEDOC = no
 
 INITD = opensysusers.initd
 
@@ -32,7 +33,7 @@
 endif
 ifeq ($(HAVEMAN),yes)
 all:
-	+$(MAKE) INSTALL=$(INSTALL) DOCMODE=$(MODE) MANDIR=$(MANDIR) DOCDIR=$(DOCDIR) DESTDIR=$(DESTDIR) -C man
+	+$(MAKE) HAVEDOC=$(HAVEDOC) INSTALL=$(INSTALL) DOCMODE=$(MODE) MANDIR=$(MANDIR) DOCDIR=$(DOCDIR) DESTDIR=$(DESTDIR) -C man
 endif
 
 EDIT = sed "s|@BINNAME[@]|$(BINNAME)|"

=== man/Makefile ===
manfiles5 = sysusers.d.5
manfiles8 = systemd-sysusers.8 systemd-sysusers.service.8
docfiles = UIDS-GIDS.html USER_NAMES.html

xsltargs = --nonet \
	--xinclude \
	--maxdepth 9000 \
	--stringparam man.output.quietly 1 \
	--stringparam funcsysnopsis.style ansi \
	--stringparam man.authors.section.enabled 0 \
	--stringparam man.copyright.section.enabled 0 \
	--stringparam systemd.version 238.51

all: man
ifeq ($(HAVEDOC),yes)
all: doc
endif

man:
	xsltproc $(xsltargs) custom-man.xsl systemd-sysusers.xml
	xsltproc $(xsltargs) custom-man.xsl sysusers.d.xml

doc:
	if command -v cmark-gfm; then \
		md='cmark-gfm --extension table'; \
	elif command -v cmark; then \
		md='cmark'; \
	else \
		md='markdown'; \
	fi; \
	$$md UIDS-GIDS.md > UIDS-GIDS.html; \
	$$md USER_NAMES.md > USER_NAMES.html

# Delete files because wget can't overwrite them
download-docs:
	rm -f *.xml *.xsl
	if command -v wget; then \
		download='wget'; \
	elif command -v curl; then \
		download='curl --location --remote-name-all'; \
	elif command -v fetch; then \
		download='fetch'; \
	fi; \
	$$download \
		'https://github.com/systemd/systemd/raw/main/man/custom-html.xsl' \
		'https://github.com/systemd/systemd/raw/main/man/custom-man.xsl' \
		'https://github.com/systemd/systemd/raw/main/man/standard-options.xml' \
		'https://github.com/systemd/systemd/raw/main/man/standard-specifiers.xml' \
		'https://github.com/systemd/systemd/raw/main/man/systemd-sysusers.xml' \
		'https://github.com/systemd/systemd/raw/main/man/sysusers.d.xml' \
		'https://github.com/systemd/systemd/raw/main/docs/UIDS-GIDS.md' \
		'https://github.com/systemd/systemd/raw/main/docs/USER_NAMES.md'

clean:
	rm -f $(manfiles5)
	rm -f $(manfiles8)
	rm -f $(docfiles)

install-man:
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man5 $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m $(DOCMODE) $(manfiles5) $(DESTDIR)$(MANDIR)/man5
	$(INSTALL) -m $(DOCMODE) $(manfiles8) $(DESTDIR)$(MANDIR)/man8

install-doc:
	$(INSTALL) -d $(DESTDIR)$(DOCDIR)
	$(INSTALL) -m $(DOCMODE) $(docfiles) $(DESTDIR)$(DOCDIR)

install: install-man
ifeq ($(HAVEDOC),yes)
install: install-doc
endif

uninstall-man:
	for man in ${manfiles5}; do rm -f $(DESTDIR)$(MANDIR)/man5/$$man; done
	for man in ${manfiles8}; do rm -f $(DESTDIR)$(MANDIR)/man8/$$man; done

uninstall-doc:
	for doc in ${docfiles}; do rm -f $(DESTDIR)$(DOCDIR)/$$doc; done
	rm -rf --one-file-system $(DESTDIR)$(DOCDIR)

uninstall: uninstall-man
ifeq ($(HAVEDOC),yes)
uninstall: uninstall-doc
endif

.PHONY: all man doc download-docs clean install install-man install-doc uninstall-man uninstall-doc uninstall

=== debian/changelog ===
opensysusers (0.7.3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches: support u! type (Closes: #1118619)
  * d/tests: add locked-user test

 -- Andrew Bower <andrew@bower.uk>  Wed, 29 Oct 2025 16:20:30 +0000

opensysusers (0.7.3-5) unstable; urgency=medium

  * d/patches: fix uid:gid support (Closes: #1105010)
  * d/tests: add uid-gid test

 -- Andrea Pappacoda <tachi@debian.org>  Wed, 25 Jun 2025 18:32:06 +0200

opensysusers (0.7.3-4.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Declare Conflicts: systemd-sysusers and remove diversions.
    (Closes: #1092745)

  [ Michael Biebl ]
  * Run autopkgtest without installing

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 26 Jan 2025 13:41:22 +0100

opensysusers (0.7.3-4) unstable; urgency=medium

  * d/changelog: correct closed bug for previous entry
  * Move to /usr and duplicate diversion to mitigate DEP17 P3 via M18.
    Thanks to Helmut for the patch! (Closes: #1055514)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 17 Sep 2024 19:38:59 +0200

opensysusers (0.7.3-3) unstable; urgency=medium

  * First dgit upload
  * d/control: apply X-Style: black
  * d/control: add missing depends on passwd
  * d/tests: add simple autopkgtest
  * d/tests: add --root test
  * d/patches: fix --root option (Closes: #1055517)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 16 Sep 2024 01:05:24 +0200

opensysusers (0.7.3-2) unstable; urgency=medium

  * d/preinst: remove -u option.
    Thanks to Samuel Thibault for the report (Closes: #1024355)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 20 Nov 2022 16:18:16 +0100

opensysusers (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 06 Nov 2022 22:12:35 +0100

opensysusers (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * d/copyright: add new markdown docs
  * d/patches: drop upstreamed patches
  * d/patches: add missing standard-specifiers.xml

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 17 Sep 2022 14:45:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: opensysusers
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Andrea Pappacoda <tachi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dpkg-build-api (= 1),
  docbook-xml,
  docbook-xsl,
- openstack-pkg-tools (>= 99~),
  xsltproc,
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/opensysusers
 Vcs-Git: https://salsa.debian.org/debian/opensysusers.git
-Homepage: https://github.com/artix-linux/opensysusers
+Homepage: https://github.com/cromerc/opensysusers
+X-Style: black
 
 Package: opensysusers
-Provides: systemd-sysusers
+Provides:
+ systemd-sysusers,
+Conflicts:
+ systemd-sysusers,
 Architecture: all
 Depends:
+ passwd,
  ${misc:Depends},
 Description: processes sysusers.d directory to create system users
  Opensysusers uses the files from sysusers.d directory to create system users

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	MANDIR=/usr/share/man DOCDIR=/usr/share/doc/opensysusers $(MAKE)

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/opensysusers/usr/share/man/man8
	PREFIX=/usr MANDIR=/usr/share/man DOCDIR=/usr/share/doc/opensysusers DESTDIR=$(CURDIR)/debian/opensysusers $(MAKE) install

	# These are too specific to artix-linux, and conflicting with
	# stuff from systemd, so let's remove them
	$(RM) $(CURDIR)/debian/opensysusers/usr/lib/sysusers.d/basic.conf

	# Rename the manpages to avoid a conflict with systemd
	mv $(CURDIR)/debian/opensysusers/usr/share/man/man5/sysusers.d.5 \
	  $(CURDIR)/debian/opensysusers/usr/share/man/man5/opensysusers.d.5
	mv $(CURDIR)/debian/opensysusers/usr/share/man/man8/systemd-sysusers.8 \
	  $(CURDIR)/debian/opensysusers/usr/share/man/man8/opensysusers-sysusers.8
	# no service file in opensysuser, so removing the link
	$(RM) $(CURDIR)/debian/opensysusers/usr/share/man/man8/systemd-sysusers.service.8

	# We move this away, so we can install the alternatives
	mv $(CURDIR)/debian/opensysusers/usr/bin/sysusers $(CURDIR)/debian/opensysusers/usr/bin/opensysusers-sysusers

override_dh_installinit:
	dh_installinit --no-start

=== debian/tests/control ===
Tests:
 run,
Depends:
 passwd,
Restrictions:
 breaks-testbed,
 needs-root,

Tests:
 root,
 uid-gid,
 locked-user,
Depends:
 passwd,
